Bug 240325 - Slow to save in large directory (chooser takes a long time to load)
Slow to save in large directory (chooser takes a long time to load)
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2007-05-16 10:54 EDT by Derek Atkins
Modified: 2008-06-16 21:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2007-05-16 10:54:35 EDT
Description of problem:

I'm trying to save a document (image) out of firefox.  When I click on Save
Image As the save dialog comes up and then spends a long time (like 10 seconds
or more) spinning, locking the whole firefox application, until it finally gives
back control and lets me save.   The default save directory has over 6500 files
and is stored in EncFS, but this wasn't a problem in FC5.  This is a significant
performance degradation.

Version-Release number of selected component (if applicable):


How reproducible:


Every time I try to save an image it hangs for like 10-15 seconds spinning.

Steps to Reproduce:
1. Create a large directory of lots of files
2. Set this directory as your default Save-As directory (which means this
   might only happen on the second time you try to save).
3. Try to save an image and watch it spin.
Actual results:

The save-as dialog spins for a while (presumably reading the full directory
contents), but I haven't tried to strace it, yet.

Expected results:

Firefox should let me save right away, and not make me wait 10-15 seconds each time.

Additional info:
Comment 1 Christopher Aillon 2007-05-16 11:47:36 EDT
This is a performance issue with the GTK+ file chooser.  Sending there.
Comment 2 Bug Zapper 2008-04-03 20:43:55 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Derek Atkins 2008-04-03 22:14:59 EDT
Yes, this still happens with F7.  I've updated the version.
Comment 4 Derek Atkins 2008-04-03 22:17:02 EDT
Oops, forgot to say that I provided the info.
Comment 5 Jon Stanley 2008-04-05 13:31:44 EDT
GTK folks - you need anything for this, or should this one go upstream?
Comment 6 Bug Zapper 2008-05-14 08:14:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 21:19:32 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.